<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.3) on Fri May 10 16:58:32 CEST 2019 -->
<title>Uses of Class model.classes.Call</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2019-05-10">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class model.classes.Call";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Call.html" title="class in model.classes">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class model.classes.Call" class="title">Uses of Class<br>model.classes.Call</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../Call.html" title="class in model.classes">Call</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#controllers">controllers</a></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<th class="colFirst" scope="row"><a href="#model.DAO">model.DAO</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="controllers">
<!--   -->
</a>
<h3>Uses of <a href="../Call.html" title="class in model.classes">Call</a> in <a href="../../../controllers/package-summary.html">controllers</a></h3>
<table class="useSummary">
<caption><span>Method parameters in <a href="../../../controllers/package-summary.html">controllers</a> with type arguments of type <a href="../Call.html" title="class in model.classes">Call</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#calculateCallTimeAndStatus(java.util.List)">calculateCallTimeAndStatus</a></span>&#8203;(java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_call)</code></th>
<td class="colLast">
<div class="block">Compute the average call time and the status in the list_call</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.Boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#compareTwoCallList(java.util.List,java.util.List)">compareTwoCallList</a></span>&#8203;(java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_one,
                  java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;list_two)</code></th>
<td class="colLast">
<div class="block">Compare if two calls lists are equals</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#fillCallTable(java.util.List)">fillCallTable</a></span>&#8203;(java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;call_list)</code></th>
<td class="colLast">
<div class="block">Fill the call table</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#fillDataCallTable(java.lang.Object%5B%5D%5B%5D,java.util.List,int)">fillDataCallTable</a></span>&#8203;(java.lang.Object[][]&nbsp;data,
                 java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;call_list,
                 int&nbsp;index)</code></th>
<td class="colLast">
<div class="block">Fill the data in the call table</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#testCallList(java.util.List,java.util.List)">testCallList</a></span>&#8203;(java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;old_call_list,
            java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;new_call_list)</code></th>
<td class="colLast">
<div class="block">Test if the old call list is up to date</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">MainController.</span><code><span class="memberNameLink"><a href="../../../controllers/MainController.html#verifyCallButtonPressed(java.util.List,java.util.List)">verifyCallButtonPressed</a></span>&#8203;(java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;new_call_list,
                       java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;&nbsp;old_call_list)</code></th>
<td class="colLast">
<div class="block">Verify if any button that will show a call table is pressed</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
<li class="blockList">
<section role="region"><a id="model.DAO">
<!--   -->
</a>
<h3>Uses of <a href="../Call.html" title="class in model.classes">Call</a> in <a href="../../DAO/package-summary.html">model.DAO</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../DAO/package-summary.html">model.DAO</a> that return <a href="../Call.html" title="class in model.classes">Call</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../Call.html" title="class in model.classes">Call</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CallDAO.</span><code><span class="memberNameLink"><a href="../../DAO/CallDAO.html#read(java.lang.String)">read</a></span>&#8203;(java.lang.String&nbsp;pk)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../DAO/package-summary.html">model.DAO</a> that return types with arguments of type <a href="../Call.html" title="class in model.classes">Call</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CallDAO.</span><code><span class="memberNameLink"><a href="../../DAO/CallDAO.html#recupAll()">recupAll</a></span>()</code></th>
<td class="colLast">
<div class="block">Get all the call data</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CallDAO.</span><code><span class="memberNameLink"><a href="../../DAO/CallDAO.html#recupAllDate(java.lang.String)">recupAllDate</a></span>&#8203;(java.lang.String&nbsp;year_or_month)</code></th>
<td class="colLast">
<div class="block">Get all the call data</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../Call.html" title="class in model.classes">Call</a>&gt;</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CallDAO.</span><code><span class="memberNameLink"><a href="../../DAO/CallDAO.html#recupAllDate(java.sql.Date)">recupAllDate</a></span>&#8203;(java.sql.Date&nbsp;date)</code></th>
<td class="colLast">
<div class="block">Get all the call data</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../DAO/package-summary.html">model.DAO</a> with parameters of type <a href="../Call.html" title="class in model.classes">Call</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CallDAO.</span><code><span class="memberNameLink"><a href="../../DAO/CallDAO.html#create(model.classes.Call)">create</a></span>&#8203;(<a href="../Call.html" title="class in model.classes">Call</a>&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CallDAO.</span><code><span class="memberNameLink"><a href="../../DAO/CallDAO.html#delete(model.classes.Call)">delete</a></span>&#8203;(<a href="../Call.html" title="class in model.classes">Call</a>&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">CallDAO.</span><code><span class="memberNameLink"><a href="../../DAO/CallDAO.html#update(model.classes.Call)">update</a></span>&#8203;(<a href="../Call.html" title="class in model.classes">Call</a>&nbsp;obj)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../Call.html" title="class in model.classes">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
